package com.qmth.themis.business.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.qmth.themis.business.bean.admin.OpenExamBean;
import com.qmth.themis.business.bean.admin.OpenExamCourseBean;

import java.io.IOException;
import java.util.List;

public interface TEOpenService {

    public List<OpenExamBean> examQueryPage(Long examId, String examCode, int pageNumber, int pageSize);

    public List<OpenExamCourseBean> examCourseQueryPage(Long examId, String courseCode, Boolean hasPaper,
            int pageNumber, int pageSize);

    public JSONObject examPaperDetail(Long paperId, String filter) throws IOException;

    public JSONArray examRecordNeedMark(Long examId, String courseCode, Long idGt, Integer count);

}
